package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class OrderByC extends OrderBy {
    public final ListOrderItem listorderitem_;

    public OrderByC(ListOrderItem p1) {

        listorderitem_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.OrderBy.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.listorderitem_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.OrderByC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.OrderByC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.OrderByC) o;
            return this.listorderitem_.equals(x.listorderitem_);
        }
        return false;
    }


}
